## eole-sso 2.8.1-17

=== debian/changelog ===
eole-sso (2.8.1-17) eole-2.8-unstable; urgency=low

  [ afornerot ]
  * [bae6d5e] adaptation dicos

  [ Joël Cuissinat ]
  * [857466d] * tmpl/cas.inc.php.tmpl : remove unnecessary "getVar"
  * [fee0431] * dicos/24_sso_saml.xml : clean dico
  * [4bc45c7] Merge branch '2.8.0/master'
  * [1cf2eb2] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7149536] Joël Cuissinat: Update package since “debian/eole/2.8.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 29 Jun 2021 15:32:51 +0200

eole-sso (2.8.1-16) eole-2.8-unstable; urgency=low

  [ afornerot ]
  * [315ded0] adaptation dicos

  [ Arnaud Fornerot ]
  * [a405c34] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0ad889a] Arnaud Fornerot: Update package since “debian/eole/2.8.1-15”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 28 Jun 2021 16:00:13 +0200

eole-sso (2.8.1-15) eole-2.8-unstable; urgency=low

  [ afornerot ]
  * [fc8e542] mise en place du server sso type avec les attributs samls si le server est de type saml (fixes #32844)
  * [dd4d9d5] resolution conflic

  [ Arnaud Fornerot ]
  * [4378547] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [23598a5] Arnaud Fornerot: Update package since “debian/eole/2.8.1-14”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 25 Jun 2021 14:04:50 +0200

eole-sso (2.8.1-14) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [27f7c38] tmpl/pam_cas_auth.conf : fix condition (ref: #32583)
  * [f309a77] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1e8fc7c] Joël Cuissinat: Update package since “debian/eole/2.8.1-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 04 Jun 2021 16:55:10 +0200

eole-sso (2.8.1-13) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [594d45b] utiliser la bonne URL (ref #32583)
  * [ab0039f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0cd646c] Emmanuel Garette: Update package since “debian/eole/2.8.1-12”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 31 May 2021 16:44:32 +0200

eole-sso (2.8.1-12) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a8ec654] utiliser le port 8443 sur AmonEcole (ref #32583)
  * [cfb8bad] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3161975] Emmanuel Garette: Update package since “debian/eole/2.8.1-11”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 31 May 2021 11:11:05 +0200

eole-sso (2.8.1-11) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ef3bfec] Correction/mise à jour des traductions
  * [434269f] Merge branch '2.8.0/master'
  * [f5b8532] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fa2029e] Joël Cuissinat: Update package since “debian/eole/2.8.1-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 26 Mar 2021 10:34:07 +0100

eole-sso (2.8.1-10) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [70c35db] ajout message d'erreur si echec changement de mot de passe, ajout traductions, propagation du service ref #31981
  * [1df1628] Merge branch '2.8.0/master'
  * [f509030] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5e4947a] Matthieu Lamalle: Update package since “debian/eole/2.8.1-9”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 25 Mar 2021 10:00:42 +0100

eole-sso (2.8.1-9) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [ee038ef] ne pas valider le certificat LDAP (ref #31856)
  * [cf122f1] Merge branch '2.8.0/master'
  * [abe41f0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ef6e553] Emmanuel Garette: Update package since “debian/eole/2.8.1-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 09 Mar 2021 14:42:26 +0100

eole-sso (2.8.1-8) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a5c1229] utilisation de variable Creole pour la configuration du changement de mot de passe (ref #31856)
  * [e081b86] Merge branch '2.8.0/master'
  * [0544596] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6ab0671] Emmanuel Garette: Update package since “debian/eole/2.8.1-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 08 Mar 2021 16:18:33 +0100

eole-sso (2.8.1-7) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [22bfa1c] add callback message
  * [dc2e614] Merge branch '2.8.0/master'
  * [5b43e95] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ea72f1b] Matthieu Lamalle: Update package since “debian/eole/2.8.1-6”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 05 Mar 2021 09:13:39 +0100

eole-sso (2.8.1-6) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [68fbd44] ajout dépendance python-ldap ref #31773

  [ EOLE Build Daemon ]
  * [cf3876c] Matthieu Lamalle: Update package since “debian/eole/2.8.1-5”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 04 Mar 2021 08:59:41 +0100

eole-sso (2.8.1-5) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [8af7108] récupération de l'info du changement de mot de passe ref : #31773
  * [e79c687] gestion du formulaire de chanegement de mot de passe ref : #31839
  * [2daef41] Merge branch '2.8.0/master'
  * [78be6de] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [34e2647] Matthieu Lamalle: Update package since “debian/eole/2.8.1-4”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 04 Mar 2021 08:51:09 +0100

eole-sso (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [51b63e0] correction dico pour configuration de nginx ref #31681
  * [5d7d0f8] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [763f4d8] Matthieu Lamalle: Update package since “debian/eole/2.8.1-3”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 11 Feb 2021 09:07:49 +0100

eole-sso (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]


=== debian/control ===
Source: eole-sso
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev, dh-systemd, python
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-sso
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-sso

Package: eole-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso-server
Description: Eolisation du serveur EoleSSO
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.
Provides: eole-sso-client
Replaces: eole-sso-client
Conflicts: eole-sso-client

Package: eole-sso-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-eolesso
Description: Serveur EoleSSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-cluster-common
Architecture: all
Depends: ${misc:Depends}, stunnel4
Description: Configuration d'EoleSSO pour stockage des sessions dans un base
 Redis (via stunnel). Fichiers communs au mode serveur et client.
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-cluster-client
Architecture: all
Depends: ${misc:Depends}, eole-sso, eole-sso-cluster-common, python-redis
Description: Activation d'un client stunnel pour stocker les sessions dans Redis
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-cluster-server
Architecture: all
Depends: ${misc:Depends}, eole-sso-cluster-common, eole-redis
Description: Configuration de Redis pour EoleSSO avec accès par stunnel
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eolesso
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-openid,
 python-twisted-web2, python-ipy, python-xmlsec,
 python-m2crypto, python-soappy, python-eoleldaptor,
 python-oic, python-prometheus-client, python-cheetah,
 python-configobj, python-cjson, python-ldap
Description: librairie SSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-sso 2.8.1-22

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-sso
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.1
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-sso (2.8.1-22) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [64857e5] Tri des fichiers de filtre SSO.
  * [871602c] Merge branch '2.8.0/master' into 2.8.1/master
  * [cc002dc] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d614482] Benjamin Bohard: Update package since “debian/eole/2.8.1-21”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 05 Sep 2023 12:22:40 +0200

eole-sso (2.8.1-21) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [814ee65] Diagnose : test le code HTTP du service eole-sso
  * [cde83ff] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fce813b] Laurent Gourvénec: Update package since “debian/eole/2.8.1-20”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 18 Jul 2022 12:43:23 +0200

eole-sso (2.8.1-20) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [dba62ee] Merge branch '2.7.2/30622-sso_agent' into 2.7.2/master

  [ Joël Cuissinat ]
  * [c4c8624] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.2/master
  * [a037366] Merge branch '2.6.2/SSO-backlog' into 2.7.2/master
  * [3471808] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.1/master
  * [761c247] Merge branch '2.6.2/SSO-backlog' into 2.7.1/master
  * [a48148a] Merge branch '2.5.2/26849-GAR-federation' into 2.7.0/master
  * [b935ec8] Merge branch '2.6.0/29436-tls1.2' into 2.7.0/master
  * [cc4d821] Merge branch '2.6.2/30187-ConsumingService' into 2.7.0/master
  * [194f069] Merge branch '2.7.0/SSO-ThreadPoolSize' into 2.7.0/master
  * [472ad89] Merge branch '2.6.2/SSO-backlog' into 2.7.0/master
  * [52f12cd] Merge branch '2.6.2/SSO-backlog' into 2.6.2/master
  * [4fbd48b] Application du patch concernant les "Erreurs 500 aléatoires en haute dispo"
    Thanks to Jeremie Andrei
  * [139bcd3] Merge branch '2.6.2/master' into 2.7.0/master
  * [7cb6122] Merge branch '2.7.0/master' into 2.7.1/master
  * [a39a685] Merge branch '2.7.1/master' into 2.7.2/master
  * [840ecdc] Merge branch '2.7.2/master' into 2.8.0/master
  * [c29d440] Merge branch '2.8.0/master' into 2.8.1/master
  * [647b680] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1246c9e] Joël Cuissinat: Update package since “debian/eole/2.8.1-19”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Mar 2022 16:52:53 +0100

eole-sso (2.8.1-19) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ae97e83] Conflit eole-sso-cluster-client/eole-sso-cluster-server

  [ EOLE Build Daemon ]
  * [507c8fe] Joël Cuissinat: Update package since “debian/eole/2.8.1-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 Dec 2021 17:34:29 +0100

eole-sso (2.8.1-18) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3e648c5] pam_cas doit fonctionner sur lemonldap (ref #33001)
  * [2a5d108] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a134311] Emmanuel Garette: Update package since “debian/eole/2.8.1-17”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 27 Jul 2021 17:50:33 +0200

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 Package: eole-sso-cluster-client
 Architecture: all
 Depends: ${misc:Depends}, eole-sso, eole-sso-cluster-common, python-redis
+Conflicts: eole-sso-cluster-server
 Description: Activation d'un client stunnel pour stocker les sessions dans Redis
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -43,6 +44,7 @@
 Package: eole-sso-cluster-server
 Architecture: all
 Depends: ${misc:Depends}, eole-sso-cluster-common, eole-redis
+Conflicts: eole-sso-cluster-client
 Description: Configuration de Redis pour EoleSSO avec accès par stunnel
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

## eole-sso 2.9.0-40

=== debian/changelog ===
eole-sso (2.9.0-40) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [48c9009] Le répertoire du socket n’est pas persistant.
  * [7f24873] Merge branch 'master' into dist/eole/2.9.0/master
  * [58551bd] La création du répertoire doit être effectuée à chaque démarrage.

  [ EOLE Build Daemon ]
  * [b7aec85] Benjamin Bohard: Update package since “debian/eole/2.9.0-39”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 14 Nov 2022 11:14:31 +0100

eole-sso (2.9.0-39) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c3577c3] Changement de repository pour le développement poussé par erreur.
  * [bba73fa] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3b66180] Benjamin Bohard: Update package since “debian/eole/2.9.0-38”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 10 Nov 2022 09:23:47 +0100

eole-sso (2.9.0-38) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2b7538a] Créer le répertoire pour le socket.

  [ EOLE Build Daemon ]
  * [d93cf88] Benjamin Bohard: Update package since “debian/eole/2.9.0-37”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 09 Nov 2022 14:02:51 +0100

eole-sso (2.9.0-37) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4473396] Utiliser un socket pour déléguer l’exécution du changement de mot de passe.
  * [1a9908f] Merge branch 'scenario/34728'
  * [9cbf1c8] Merge branch 'master' into dist/eole/2.9.0/master
  * [dc4581e] Installer le serveur rpc

  [ EOLE Build Daemon ]
  * [4a06d5a] Benjamin Bohard: Update package since “debian/eole/2.9.0-36”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Nov 2022 09:11:28 +0100

eole-sso (2.9.0-36) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ac156ec] Paramétrer l’identifiant syslog pour le routage des journaux.
  * [dbfb8e4] Indiquer à conmon de ne pas envoyer les messages directement.
  * [ee6d239] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e8ea2b0] Benjamin Bohard: Update package since “debian/eole/2.9.0-35”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 26 Oct 2022 09:41:25 +0200

eole-sso (2.9.0-35) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [ff7d35d] Revert "La version du protocole est une chaîne de caractères."
  * [cbb0239] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [0be8de5] Philippe Caseiro: Update package since “debian/eole/2.9.0-34”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 20 Oct 2022 16:49:45 +0200

eole-sso (2.9.0-34) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [4fa304c] Revert "Traitement provisoire du cas LemonLDAP-NG pour la version du protocole."
  * [98749c3] la variable eolesso_adresse est obligatoire (par exemple sur eolebase) (ref #34726)
  * [5297d4d] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3153db5] Philippe Caseiro: Update package since “debian/eole/2.9.0-33”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Mon, 17 Oct 2022 10:17:41 +0200

eole-sso (2.9.0-33) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [b72e03f] Charger la valeur du tag à partir du fichier si il existe.
  * [634be65] Permettre au service eole-sso de valider les certificats autosignés.
  * [f763f23] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d2e6eff] Benjamin Bohard: Update package since “debian/eole/2.9.0-32”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 13 Oct 2022 09:51:54 +0200

eole-sso (2.9.0-32) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [7139e2c] monter app_filters dans le conteneur eole-sso (ref #34675)
  * [729d491] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9ae2de9] Philippe Caseiro: Update package since “debian/eole/2.9.0-31”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 05 Oct 2022 14:59:57 +0200

eole-sso (2.9.0-31) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [f3a3e82] ajouter les fichiers app_filters dans eole-sso-client (ref #34675)

  [ EOLE Build Daemon ]
  * [7ad5be4] Philippe Caseiro: Update package since “debian/eole/2.9.0-30”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 05 Oct 2022 14:39:51 +0200

eole-sso (2.9.0-30) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [b84fd6e] Traitement provisoire du cas LemonLDAP-NG pour la version du protocole.
  * [a827391] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [356616a] Benjamin Bohard: Update package since “debian/eole/2.9.0-29”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 29 Sep 2022 11:02:11 +0200

eole-sso (2.9.0-29) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d12e812] Remove containerization from eole-sso Redmine project

  [ Benjamin Bohard ]
  * [e4e7f3f] La version du protocole est une chaîne de caractères.
  * [6223520] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e0cccce] Benjamin Bohard: Update package since “debian/eole/2.9.0-28”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 28 Sep 2022 14:37:00 +0200

eole-sso (2.9.0-28) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [5e73a79] Use latest eole-sso-server image from hub.eole.education
  * [54dc295] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [304dece] Joël Cuissinat: Update package since “debian/eole/2.9.0-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 21 Sep 2022 11:08:02 +0200

eole-sso (2.9.0-27) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [814ee65] Diagnose : test le code HTTP du service eole-sso
  * [552adf4] Merge branch '2.8.1/master'
  * [8fe08c7] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [43d70f0] Laurent Gourvénec: Update package since “debian/eole/2.9.0-26”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 18 Jul 2022 12:43:53 +0200

eole-sso (2.9.0-26) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]


## eole-sso 2.9.0-42

=== debian/changelog ===
eole-sso (2.9.0-42) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fcd1caa] Supprimer le proxy des variables d’environnement
  * [bd28f5d] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9a0fb59] Benjamin Bohard: Update package since “debian/eole/2.9.0-41”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 09 Jan 2023 16:12:00 +0100

eole-sso (2.9.0-41) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a34e925] Suppression des templates et de l’image inutilisée.

  [ EOLE Build Daemon ]
  * [d266282] Joël Cuissinat: Update package since “debian/eole/2.9.0-40”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 05 Dec 2022 14:39:07 +0100

## eole-sso 2.9.0-48

=== debian/changelog ===
eole-sso (2.9.0-48) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [6e28b72] vérifier si un parent est déclaré dans la conf au moment du paramétrage de PARENT_URL (ref #36290)

  [ Joël Cuissinat ]
  * [fbc1e27] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [55cc8f5] Joël Cuissinat: Update package since “debian/eole/2.9.0-47”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 19 Dec 2024 15:57:53 +0100

eole-sso (2.9.0-47) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [f70a180] eolesso attend la chaine de certificat (ref #36313)
  * [8cfd791] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [12d70bb] Emmanuel Garette: Update package since “debian/eole/2.9.0-46”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 04 Dec 2024 08:30:56 +0100

eole-sso (2.9.0-46) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4512e07] Installer les fichiers de traductions également sur l’hôte.
  * [acbc8cc] Monter le répertoire /usr/share/locale dans le conteneur.
  * [67d5036] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [21bcc18] Benjamin Bohard: Update package since “debian/eole/2.9.0-45”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 09 Oct 2023 16:27:44 +0200

eole-sso (2.9.0-45) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e7df38f] Installer les fichiers personnalisables sur l’hôte.
  * [c449c56] Monter les répertoires des fichiers personnalisables.
  * [d7802cd] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [dab86c8] Benjamin Bohard: Update package since “debian/eole/2.9.0-44”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 19 Sep 2023 15:31:09 +0200

eole-sso (2.9.0-44) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [64857e5] Tri des fichiers de filtre SSO.
  * [871602c] Merge branch '2.8.0/master' into 2.8.1/master
  * [3ab10d2] Merge branch '2.8.1/master'
  * [b5f5fe0] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [15c1c53] Benjamin Bohard: Update package since “debian/eole/2.9.0-43”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 05 Sep 2023 12:33:37 +0200

eole-sso (2.9.0-43) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [60b76a3] Remove update_conf.py call in eole-sso service script
  * [11a1e9a] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [1140cb6] Joël Cuissinat: Update package since “debian/eole/2.9.0-42”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 Mar 2023 15:53:32 +0100

## eole-sso 2.9.0-50

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-sso
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-sso (2.9.0-50) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [ca28050] Prédéfinir le username au login suite à un changement de mot de passe
  * [d16a12f] Set le focus sur le champs mot de passe si le login est pré-rempli
  * [000c27a] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [0de68e2] Laurent Gourvénec: Update package since “debian/eole/2.9.0-49”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 01 Dec 2025 11:11:26 +0100

eole-sso (2.9.0-49) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [febed56] L’URL avec nom de machine seul ne permet pas la connexion
  * [73b9d50] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ff1b281] Benjamin Bohard: Update package since “debian/eole/2.9.0-48”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Sep 2025 11:30:34 +0200

=== debian/control ===
Source: eole-sso
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13),
               python,
               python-all-dev
Standards-Version: 4.6.0
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-sso
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-sso

Package: eole-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso-client
Replaces: eole-sso (<< 2.8.1-19)
Breaks: eole-sso (<< 2.8.1-19)
Description: Eolisation du serveur EoleSSO
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-server
Conflicts: eole-lemonldap-ng
Architecture: all
Depends: ${misc:Depends}, eole-sso, eole-podman
Description: Serveur EoleSSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-server-container
Architecture: all
Conflicts: eole-sso-server
Depends: ${misc:Depends}, ${python:Depends}, python-eolesso
Description: Partie conteneur du serveur EoleSSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-sso-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: eole-sso (<< 2.8.1-19)
Breaks: eole-sso (<< 2.8.1-19)
Description: Client LemonLDAP ou EoleSSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eolesso
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-openid,
 python-twisted-web2, python-ipy, python-xmlsec,
 python-m2crypto, python-soappy, python-eoleldaptor,
 python-oic, python-prometheus-client, python-cheetah,
 python-configobj, python-cjson, python-ldap
Description: librairie SSO pour les module EOLE
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Force init script name
override_dh_installinit:
	dh_installinit --no-start -u"start 80 5 . stop 80 0 6 ." -peole-sso-server --name=eole-sso $@
	dh_installinit --no-start -u"start 80 5 . stop 80 0 6 ." -peole-sso-server --name=change-password-rpc $@
#	dh_installinit --no-start -u"start 80 5 . stop 80 0 6 ." -peole-sso-cluster-server --name=redis-eolesso $@

override_dh_installsystemd:
	dh_installsystemd -peole-sso-server --name=eole-sso
	dh_installsystemd -peole-sso-server --name=change-password-rpc
#	dh_installsystemd -peole-sso-cluster-server --name=redis-eolesso

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: dh_installinit override_dh_builddeb

## eole-sso 2.9.0-54

=== debian/changelog ===
eole-sso (2.9.0-54) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c4ba37d] Le site proxyfié utilise également SSL
  * [36b85cb] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ed83986] Benjamin Bohard: Update package since “debian/eole/2.9.0-53”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 08 Jan 2026 08:30:08 +0100

eole-sso (2.9.0-53) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [81b9c53] Gérer les trois combinaisons de port et url classiques
  * [5ab6a74] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d1575cf] Benjamin Bohard: Update package since “debian/eole/2.9.0-52”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 06 Jan 2026 10:03:48 +0100

eole-sso (2.9.0-52) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fbcae3c] Utiliser la variable eolesso_cas_folder pour la réécriture
  * [da7121d] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c62b726] Benjamin Bohard: Update package since “debian/eole/2.9.0-51”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 05 Jan 2026 09:54:57 +0100

eole-sso (2.9.0-51) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [60b5913] Le serveur eole-sso écoute toujours sur le port 8443
  * [6663880] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f75d571] Benjamin Bohard: Update package since “debian/eole/2.9.0-50”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Dec 2025 08:44:53 +0100

## eole-sso 2.10.0-6

=== debian/changelog ===
eole-sso (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [3efb672] compiler python avec dh-python (ref #36295)
  * [c9e37c8] ne plus utiliser setup (ref #36295)
  * [726b253] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b4f7c54] Emmanuel Garette: Update package since “debian/eole/2.10.0-5”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 10 Dec 2024 09:26:37 +0100

eole-sso (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f70a180] eolesso attend la chaine de certificat (ref #36313)
  * [9895f5b] Merge branch '2.9.0/master'
  * [7178bbe] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [89642fc] Emmanuel Garette: Update package since “debian/eole/2.10.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 04 Dec 2024 08:31:19 +0100

eole-sso (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f2ad891] vérifier si un parent est déclaré dans la conf au moment du paramétrage de PARENT_URL (ref #36290)
  * [332138a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b70a88e] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 26 Nov 2024 11:31:17 +0100

eole-sso (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [6aab90c] Utiliser les dates avec fuseau horaire explicite.
  * [113e8ff] Merge branch 'master' into dist/eole/2.10.0/master
  * [e898e01] Demander le remplacement du conteneur avec le même nom.
  * [9800740] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [0020d3b] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 14 Nov 2024 13:58:44 +0100

eole-sso (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d70beb2] python → python3
  * [c565214] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [e84fdc2] Joël Cuissinat: Update package since “debian/eole/2.10.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Feb 2024 16:16:14 +0100

eole-sso (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [fd046ef] Prepare release 2.10.0
  * [1735d5a] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [946a544] fix(debian) : clean old python dependencies
  * [fd8cd90] tests eole-sso : py.test → pytest
  * [0535322] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c7ebc64] Joël Cuissinat: Update package since “debian/eole/2.9.0-46”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 Feb 2024 09:14:29 +0100

## eole-sso 2.10.0-11

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-sso
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-sso (2.10.0-11) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c4ba37d] Le site proxyfié utilise également SSL
  * [4c809c3] Merge branch '2.9.0/master'
  * [f2b6f0d] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [64c25b9] Benjamin Bohard: Update package since “debian/eole/2.10.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 08 Jan 2026 08:31:53 +0100

eole-sso (2.10.0-10) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [81b9c53] Gérer les trois combinaisons de port et url classiques
  * [96b687c] Merge branch '2.9.0/master'
  * [9f3d8e2] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c745f76] Benjamin Bohard: Update package since “debian/eole/2.10.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 06 Jan 2026 10:04:53 +0100

eole-sso (2.10.0-9) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fbcae3c] Utiliser la variable eolesso_cas_folder pour la réécriture
  * [1171b27] Merge branch '2.9.0/master'
  * [b538f88] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [447d9cf] Benjamin Bohard: Update package since “debian/eole/2.10.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 05 Jan 2026 09:15:21 +0100

eole-sso (2.10.0-8) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [60b5913] Le serveur eole-sso écoute toujours sur le port 8443
  * [5e9a9c6] Merge branch '2.9.0/master'
  * [9099109] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [dd0b914] Benjamin Bohard: Update package since “debian/eole/2.10.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Dec 2025 08:58:43 +0100

eole-sso (2.10.0-7) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [5ea5233] Prédéfinir le username au login suite à un changement de mot de passe
  * [ca28050] Prédéfinir le username au login suite à un changement de mot de passe
  * [d16a12f] Set le focus sur le champs mot de passe si le login est pré-rempli
  * [da800ee] Merge remote-tracking branch 'origin/2.9.0/master'
  * [3859f35] Merge branch 'master' into dist/eole/2.10.0/master

  [ Emmanuel Garette ]
  * [6e28b72] vérifier si un parent est déclaré dans la conf au moment du paramétrage de PARENT_URL (ref #36290)

  [ Benjamin Bohard ]
  * [febed56] L’URL avec nom de machine seul ne permet pas la connexion

  [ EOLE Build Daemon ]
  * [610c4e5] Laurent Gourvénec: Update package since “debian/eole/2.10.0-6”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 01 Dec 2025 11:11:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 13),
-               python,
-               python-all-dev
+               python3-all,
+               dh-python
 Standards-Version: 4.6.0
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-sso
@@ -12,7 +12,8 @@
 
 Package: eole-sso
 Architecture: all
-Depends: ${misc:Depends}, eole-sso-client
+Depends: ${misc:Depends},
+         eole-sso-client
 Replaces: eole-sso (<< 2.8.1-19)
 Breaks: eole-sso (<< 2.8.1-19)
 Description: Eolisation du serveur EoleSSO
@@ -22,7 +23,9 @@
 Package: eole-sso-server
 Conflicts: eole-lemonldap-ng
 Architecture: all
-Depends: ${misc:Depends}, eole-sso, eole-podman
+Depends: ${misc:Depends},
+         eole-sso,
+         eole-podman
 Description: Serveur EoleSSO pour les module EOLE
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,11 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	DESTDIR=$(CURDIR)/debian/tmp make install
+	dh_auto_install -O--buildsystem=pybuild
 
 # Force init script name
 override_dh_installinit:
@@ -27,4 +31,4 @@
 	# Make package compatible with older version
 	dh_builddeb -- -Zgzip -Srle
 
-.PHONY: dh_installinit override_dh_builddeb
+.PHONY: dh_installinit override_dh_builddeb override_dh_auto_install
